Fedora Core 3 : kdeedu-3.4.2-0.fc3.2 (2005-745)

High Nessus Plugin ID 19438


The remote Fedora Core host is missing a security update.


Ben Burton notified the KDE security team about several tempfile handling related vulnerabilities in langen2kvtml, a conversion script for kvoctrain. The script must be manually invoked.

The script uses known filenames in /tmp which allow an local attacker to overwrite files writeable by the user invoking the conversion script.

This update fixes these vulnerabilities.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected kdeedu, kdeedu-debuginfo and / or kdeedu-devel packages.

See Also


Plugin Details

Severity: High

ID: 19438

File Name: fedora_2005-745.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2005/08/18

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:kdeedu, p-cpe:/a:fedoraproject:fedora:kdeedu-debuginfo, p-cpe:/a:fedoraproject:fedora:kdeedu-devel, cpe:/o:fedoraproject:fedora_core:3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2005/08/15

Reference Information

FEDORA: 2005-745